//+------------------------------------------------------------------+
//|                                                     call example |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1  PaleVioletRed
#property indicator_color2  Violet
#property indicator_width1  2

extern int RwmaPeriod = 2;
extern int RwmaDepth  = 10;
extern int RwmaPrice  = PRICE_CLOSE;

double buffer1[];
double buffer2[];
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()   { SetIndexBuffer(0,buffer1); SetIndexBuffer(1,buffer2); return(0); }
int deinit() { return(0); }
int start()
{
   int timeFrameToUse = 0;
   int counted_bars=IndicatorCounted();
   int i,limit;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for(i=limit; i>=0; i--)
   {
      int y = iBarShift(NULL,timeFrameToUse,Time[i]);
      buffer1[i] = iCustom(NULL,timeFrameToUse,"Rainbow WMA",RwmaPeriod,RwmaDepth,RwmaPrice,0,y);
      buffer2[i] = iCustom(NULL,timeFrameToUse,"Rainbow WMA & mtf","do not use this parameter for time frame",RwmaPeriod*2,RwmaDepth,RwmaPrice,False,0,y);
   }   
   return(0);
}